#import "QCPatch.h"
#import "QCPatch-Customization.h"
#import "QCOpenGLContext.h"

#import "QCBooleanPort.h"
#import "QCStringPort.h"


@interface TextFileWriterPatch : QCPatch
{
	QCStringPort	*inputText;
	QCStringPort	*inputFile;
    QCBooleanPort	*inputSignal;

	BOOL oldValue;
}

+ (int)executionMode;
+ (BOOL)allowsSubpatches;
+ (int)timeMode;

- (id)initWithIdentifier:(id)fp8;
- (id)attributes;

- (id)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;

- (void)enable:(QCOpenGLContext *)context;
- (void)disable:(QCOpenGLContext *)context;

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end